import type {IPlcSearch} from "@/interface/page/plc/IPlcSearch.ts";
import axiosInstance from "@/api/axios.ts";
import type {IPlcTableVo} from "@/model/table/IPlcTableVo.ts";

export class PlcApi {

    // 查询PLC数据
    static queryPlc(query: IPlcSearch) {
        return axiosInstance.post("app/plc/queryBasePlc", query);
    };
    // 添加PLC数据
    static addPlc(data: IPlcTableVo) {
        return axiosInstance.post("app/plc/addPlc", data);
    };
    // 更新PLC数据
    static updatePlc(data: IPlcTableVo) {
        return axiosInstance.post("app/plc/updatePlc", data);
    };
    // 删除PLC
    static deletePlc(plcId: number) {
        return axiosInstance.delete("app/plc/deletePlc/" + plcId);
    }
}